
/* CSS RESET */


/* CSS Reset */
*{
    margin: 0;
    padding: 0;
    box-sizing: 0;
    list-style: none;
  }
  
html{
    height: 800vh;
}
 
.img-float{
    width: 250px;
    height: 250px;
    /* float -> left,right */
    float: right;
}


.parent-element{
    background-color: skyblue;
    padding: 10px;
    position: relative;
    height: 800vh;

}

.child-one{
    background-color: gray;
    padding: 10px;
    
}

.child-two{
    background-color: yellow;
    padding: 10px;
    position: sticky;
    /* left: 10px;
    bottom: 10px; */
    top: 10px;
}

.child-three{
    background-color: gray;
    padding: 10px;
}


.container{
    position: relative;

}

.black-box{
    position: relative;
    background-color: black;
    height: 60px;
    width: 60px;
    left: 50px;
    top: 50px;
    color: white;
    z-index: 10;

}

.gray-box{
    position: absolute;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
    z-index: 3;
}
        
.green-box{
    position: absolute;
    background-color: lightgreen;
    height: 100px;
    width: 35%;
    left: 270px;
    top: -15px;
    z-index: 5;
}

